package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/6/30 15:42
 */
@Data
@ApiModel("nft信息")
@Accessors(chain = true)
@TableName("tb_nft")
public class Nft extends BaseEntity {

    @ApiModelProperty("类目id")
    private Integer categoryId;

    @ApiModelProperty("用户id")
    private Integer userId;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("作者")
    private String author;

    @ApiModelProperty("主题,多个用逗号,隔开")
    private String theme;

    @ApiModelProperty("简介")
    private String synopsis;

    @ApiModelProperty("文件名")
    private String  fileName;

    @ApiModelProperty("文件地址--用户选择不存档的情况下为空")
    private String fileUrl;

    @ApiModelProperty("文件hash")
    private String fileHash;

    @ApiModelProperty("平台存档  0-不存档  1-加密存档")
    private Integer isArchives;

    @ApiModelProperty("授权阅读  0-不需要授权  1-需要授权")
    private Integer isGrant;

    @ApiModelProperty("nft编号")
    private String nftId;

    @ApiModelProperty("nft哈希")
    private String nftHash;

    @ApiModelProperty("nft发行时间")
    private Date publishTime;

    @ApiModelProperty("是否置顶  0-否 1-是")
    private Integer isTop;

    @ApiModelProperty("0-下架 1-上架")
    private Integer status;

}
